=== debian/changelog ===
genius (0.4.4-1) unstable; urgency=low

  * Initial release.

 -- Federico Di Gregorio <fog@debian.org>  Sat, 10 Jul 1999 13:23:03 +0200

Local variables:
mode: debian-changelog
End:
