=== debian/control ===
Source: genius
Section: math
Priority: extra
Maintainer: Federico Di Gregorio <fog@debian.org>
Standards-Version: 3.0.0.0

Package: genius
Architecture: any
Depends: ${shlibs:Depends}
Description: Command-line and gnome calculator
 Genius is a calculator program similar in some aspects to bc and
 matlab. GEL is the name of it's extension language, in fact, a large
 part of the standard genius functions are written in gel itself.
 .
 Features of Genius:
 .
   * arbitrary precision integers (2-36), multiple precision floats
   * uses rationals when possible
   * will calculate and show half calculated expressions if the
     calculation could not be completed
   * variables
   * user functions
   * variable and function references with C like syntax
   * anonymous functions
   * it will add missing parenthesis on the ends of expressions (only
     in the GUI version)
   * matrix support
   * complex numbers

Package: genius-dev
Architecture: any
Depends: ${shlibs:Depends}
Description: Command-line and gnome calculator - development files
 Genius is a calculator program similar in some aspects to bc and
 matlab. GEL is the name of it's extension language, in fact, a large
 part of the standard genius functions are written in gel itself.
 .
 This package installs some header files and libraries useful to
 develop Genius plugins.
