=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	# an hack to generate parse.h even after a distclean
	cd src && $(MAKE) parse.h
	$(MAKE)
	touch build-stamp
configure-stamp:
	dh_testdir
	if test ! -e ./configure; then aclocal && automake && autoconf; fi
	./configure --prefix=/usr
	touch configure-stamp

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp configure-stamp
	-$(MAKE) clean
	#-$(MAKE) distclean
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) prefix=`pwd`/debian/tmp/usr install
	dh_movefiles
	rm -fr debian/tmp/usr/include
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir 
	dh_testroot 
	dh_installdocs README NEWS TODO
	dh_installexamples 
	dh_installmenu 
	dh_installcron 
	dh_installmanpages 
	dh_installinfo 
	dh_undocumented genius.1 gnome-genius.1
	dh_installchangelogs ChangeLog
	dh_strip 
	dh_link 
	dh_compress 
	dh_fixperms 
	dh_installdeb 
	dh_shlibdeps 
	dh_gencontrol 
	dh_md5sums 
	dh_builddeb 

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
